This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 998030 - Switch from Yaboot to GRUB2 as the bootloader on the installation ISO for PPC
Switch from Yaboot to GRUB2 as the bootloader on the installation ISO for PPC
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
20
powerpc Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
AcceptedFreezeException
:
Depends On:
Blocks: F20AlphaFreezeException F20PPCAlpha
  Show dependency treegraph
 
Reported: 2013-08-16 15:04 EDT by Gustavo Luiz Duarte
Modified: 2013-11-24 02:27 EST (History)
14 users (show)

See Also:
Fixed In Version: lorax-20.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-21 16:04:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Yaboot-to-grub2 cleanup (1.35 KB, patch)
2013-09-09 13:27 EDT, David Aquilina
no flags Details | Diff

  None (edit)
Description Gustavo Luiz Duarte 2013-08-16 15:04:42 EDT
GRUB2 is already the default bootloader for Fedora PPC installed systems, but we still have Yaboot booting the installer. Switching to GRUB2 also on the installation ISO eliminates the burden of maintaining two different bootloaders on Fedora PPC.

Removing Yaboot and its 32 bits dependency packages from the installation ISO also helps us to keep the image size under a single-sided single-layer DVD capacity.

GRUB2 may also bring additional features for network boot, though this is not the focus of this change.

A patch for this change was sent to the anaconda-patches mailing list: https://lists.fedorahosted.org/pipermail/anaconda-patches/2013-August/005336.html
Comment 1 Karsten Hopp 2013-08-16 15:46:52 EDT
please note that lorax needs 2 additional requirements with this patch:
grub2
grub2-tools

Other than that it worked for me with a virtual DVD drive on PPC.
Comment 2 Gustavo Luiz Duarte 2013-08-22 15:25:29 EDT
As for the discussion on IRC, I filed bug #999069 so that we can track progress on the inclusion of a pre-built boot image on grub2 package for PPC.

Do you want me to update the patch to include a comment pointing to that bug? Is there anything else required to get this patch included in F20 and upstream?
Comment 3 Ronald Maas 2013-08-25 14:37:46 EDT
Apple G5 does not recognize both images located on /stage/f19-20130813-grub2/ppc64/iso as valid boot disks even after pressing C during chime. Computer always boots from hard drive. Therefore not able to install Fedora 19 with GRUB2 bootloader.

Note this computer is currently running Fedora 19 with Yaboot successfully. Also this computer is able to boot from regular Fedora 19 PPC64 DVD.

Version-Release number of selected component (if applicable):
Fedora 19 PPC64 GRUB2 Stage DVD dated 13-Aug-2013

How reproducible:
Every time

Steps to Reproduce:
1. Insert Fedora 17 beta DVD in 
2. Reboot
3. Press C after chime
  
Actual results:
Computer boots from hard drive

Expected results:
Menu option to start installation of Fedora 19 or initial Anaconda screen

Additional info:
Powermac G5 (late 2005)
Dual core 2 GHz
4.25 GB RAM
500 MB SATA
nVidia 7800 GT

Actions done to solve the issue:
- Tried both DVD and netinst CD
- checked SHA256 checksums for downloaded ISOs
- checked for burning errors
Comment 4 Ronald Maas 2013-08-25 19:12:58 EDT
Small correction.

Steps to Reproduce:
1. Insert Fedora f19-20130813-grub2 DVD in drive
2. Reboot
3. Press C after chime
Comment 5 David Aquilina 2013-09-09 13:27:58 EDT
Created attachment 795717 [details]
Yaboot-to-grub2 cleanup

There's a couple of things that were missed: 

efika.forth is provided by yaboot. ppc64 does not need it to boot (tested by gustavold) 
'yaboot' is still on the installpkg line in runtime-install.tmpl. The resulting error while running pungi is harmless, but why be sloppy?
Comment 6 Fedora Update System 2013-09-09 19:55:59 EDT
lorax-20.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lorax-20.1-1.fc20
Comment 7 Paulo Flabiano Smorigo 2013-09-10 10:00:15 EDT
Can anyone with a Powermac G5 test the iso bellow please?
http://198.199.88.210/download/Fedora-20-ppc64-netinst_pfsmorigo.iso

It's the same one from koji [1] with additional files for MacPPC. Maybe this fix the problem.

[1] http://ppc.koji.fedoraproject.org/stage/f20-latest-nightly/Fedora/ppc64/iso/Fedora-20-ppc64-netinst.iso
Comment 8 David Aquilina 2013-09-10 10:02:38 EDT
Adding to AlphaFreezeException - Power can't compose without the patch in Comment #5 as well as the earlier patches.
Comment 9 Tim Flink 2013-09-10 10:49:17 EDT
+1 FE from me - this is blocking PPC compose and there is almost no risk to PA
Comment 10 Fedora Update System 2013-09-10 12:25:19 EDT
Package lorax-20.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lorax-20.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16301/lorax-20.1-1.fc20
then log in and leave karma (feedback).
Comment 11 Petr Schindler 2013-09-10 12:36:16 EDT
As it blocks PPC from composing it should be FE.

+1 FE
Comment 12 Jaroslav Reznik 2013-09-10 13:33:56 EDT
+1 FE, blocks PPC compose, changes in PPC templates
Comment 13 Ronald Maas 2013-09-11 02:29:30 EDT
Fedora-20-ppc64-netinst_pfsmorigo.iso is not recognized as a valid boot CD by Apple G5. Same result as original Fedora f19-20130813-grub2 DVD as described in comment #3
Comment 14 Tim Flink 2013-09-11 12:44:43 EDT
that makes +3 FreezeException, moving to accepted
Comment 15 Fedora End Of Life 2013-09-16 13:12:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 16 Fedora Update System 2013-09-21 16:04:45 EDT
lorax-20.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Erik Larsson 2013-11-24 02:27:20 EST
(In reply to Ronald Maas from comment #13)
> Fedora-20-ppc64-netinst_pfsmorigo.iso is not recognized as a valid boot CD
> by Apple G5. Same result as original Fedora f19-20130813-grub2 DVD as
> described in comment #3

Please see the following bug for a solution to the boot issue on Apple G5:
https://bugzilla.redhat.com/show_bug.cgi?id=1020112

If any maintainers read this, please integrate the fix into Fedora 20 ppc64 Final so that we G5 users can boot it.

Note You need to log in before you can comment on or make changes to this bug.